#!/bin/sh
################################################################################
#                                                                              #
# Polish Koders Team 2011                                                      #
#                                                                              #
# contact: http://pkteam.pl/                                                   #
#                                                                              #
################################################################################

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

downmix_on()
{
 ln -s /var/etc/audio_dts.elf /boot/audio_dts.elf
 sync
 echo "_(DTS Downmix Enable)\n_(Please restart Box)"
} 

downmix_off()
{
 rm /boot/audio_old.elf
 sync
 echo "_(DTS Downmix Disable)\n_(Please restart Box)"
}

#-------------------------------------------------------------------------------
#use section
#-------------------------------------------------------------------------------

case "$1" in
 'on')
    downmix_on
    ;;
 'off')
    downmix_off
    ;;
 *)
    echo -e "\nUse: DTS.sh on|off"
    ;;
esac

echo ""
exit 0
