#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.sat-elita.info/                                          #
#                                                                              #
################################################################################

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

  info1="_(Patch activated)"
  info2="_(Patch deactivated)"
  info3="_(Restart box to save changes!)"
#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

highSR_on()
{
 echo highSR=on >/var/config/highSR.conf
 sync
 echo "$info1"
 echo "\n$info3" 
} 

highSR_off()
{
 echo highSR=off >/var/config/highSR.conf
 sync
 echo "$info2"
 echo "\n$info3" 
}

#-------------------------------------------------------------------------------
#use section
#-------------------------------------------------------------------------------

case "$1" in
 'on')
    highSR_on
    ;;
 'off')
    highSR_off
    ;;
 *)
    echo -e "\nUse: highSR.sh on|off"
    ;;
esac

echo ""
exit 0
